コンテンツにスキップ
ShopentlyLearn

入荷を確定

検証済みバッチから入荷予定または入荷済みの記録を作成します。入荷予定の在庫はまだ販売できません。

POST/api/v1/inventory/products/{product_id}/digital-imports/{import_id}/commit

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-imports/00000000-0000-4000-8000-000000000001/commit \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 3481f068-87b2-5453-b3ef-2ab932a153bf' \
  --header 'Content-Type: application/json' \
  --data-raw '{"delivered_at":"2026-11-03T12:00:00Z","expected_delivery_version":0,"expected_sales_limit_version":0,"expected_version":2,"location_id":"location-digital","publish_for_sale":true,"status":"received","validation_digest":"bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb","warehouse_id":"warehouse-main"}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
必要な権限
利用可能なコードとファイルを管理inventory.digital_unit:write入荷の作成inventory.stock_delivery:create

特定のフィールドに必要な追加権限

publish_for_sale が true の場合は、次の権限を追加してください。

  • 販売上限の変更inventory.stock:update_sales_limit